=== modified file 'configure'
--- configure	2014-04-25 07:34:08 +0000
+++ configure	2018-01-06 22:13:00 +0000
@@ -651,8 +651,11 @@
 KOCODECSPKG
 JACODECSPKG
 EMAILPKG
+MM_VERSION
 PYTHON
 with_python
+BUILD_DATE
+CONFIGURE_OPTS
 target_alias
 host_alias
 build_alias
@@ -2127,6 +2130,10 @@
 # /usr/local/mailman is the default installation directory
 
 
+CONFIGURE_OPTS=`echo $@`
+
+BUILD_DATE=`date`
+
 
 # Check for Python!  Better be found on $PATH
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-python" >&5
@@ -2292,6 +2299,17 @@
 needemailpkg=`cat conftest.out`
 rm -f conftest.out conftest.py
 
+cat > getver.py <<EOF
+from Mailman.Version import VERSION
+fp = open("getver.out", "w")
+fp.write("%s\n" % VERSION)
+fp.close()
+EOF
+$PYTHON getver.py
+MM_VERSION=`cat getver.out`
+rm -f getver.out getver.py
+
+
 # Should we rely on Python's own email package or use the pre-packaged version?
 
 if test "$needemailpkg" = "ok"
@@ -4548,6 +4566,7 @@
 build/contrib/qmail-to-mailman.py:contrib/qmail-to-mailman.py \
 build/contrib/courier-to-mailman.py:contrib/courier-to-mailman.py \
 build/contrib/rotatelogs.py:contrib/rotatelogs.py \
+build/contrib/mailman-config.py:contrib/mailman-config.py \
 build/cron/bumpdigests:cron/bumpdigests \
 build/cron/checkdbs:cron/checkdbs \
 build/cron/cull_bad_shunt:cron/cull_bad_shunt \

=== modified file 'configure.in'
--- configure.in	2014-04-25 07:34:08 +0000
+++ configure.in	2018-01-06 22:13:00 +0000
@@ -23,6 +23,10 @@
 # /usr/local/mailman is the default installation directory
 AC_PREFIX_DEFAULT(/usr/local/mailman)
 
+CONFIGURE_OPTS=`echo $@`
+AC_SUBST(CONFIGURE_OPTS)
+BUILD_DATE=`date`
+AC_SUBST(BUILD_DATE)
 
 # Check for Python!  Better be found on $PATH
 AC_MSG_CHECKING(for --with-python)
@@ -135,6 +139,17 @@
 needemailpkg=`cat conftest.out`
 rm -f conftest.out conftest.py
 
+cat > getver.py <<EOF
+from Mailman.Version import VERSION
+fp = open("getver.out", "w")
+fp.write("%s\n" % VERSION)
+fp.close()
+EOF
+$PYTHON getver.py
+MM_VERSION=`cat getver.out`
+rm -f getver.out getver.py
+AC_SUBST(MM_VERSION)
+
 # Should we rely on Python's own email package or use the pre-packaged version?
 AC_SUBST(EMAILPKG)
 if test "$needemailpkg" = "ok"
@@ -711,6 +726,7 @@
 contrib/qmail-to-mailman.py \
 contrib/courier-to-mailman.py \
 contrib/rotatelogs.py \
+contrib/mailman-config.py \
 cron/bumpdigests \
 cron/checkdbs \
 cron/cull_bad_shunt \

